Bug 20351 - Logout, halt, and reboot crash laptop
Logout, halt, and reboot crash laptop
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
Dale Lovelace
Depends On:
  Show dependency treegraph
Reported: 2000-11-05 00:13 EST by zrlh
Modified: 2007-04-18 12:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2000-11-14 12:44:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description zrlh 2000-11-05 00:13:09 EST
Dell Inspiron 5000e with PIII 800 and rage mobility chip.  
Custom/everything install of Red Hat 7.0 from iso images.  

This condition occurs under any of the available window managers.

I startx to enter gnome.  When I choose to leave using the 
logout/halt/reboot commands from dialog, system hangs/black screen.  

Further, ctrl-alt-backspace also locks up system when trying to exit 

Additionally, gnome panel seg faults on gnome startup and can not be 
launched manually from shell.
Comment 1 David Mason 2000-11-05 18:31:49 EST
hp, if this is happening with Ctrl-Alt-Del this might be an X problem... if so,
assign to pbrown
Comment 2 Havoc Pennington 2000-11-05 22:46:20 EST
I would guess that this is an X bug, it certainly doesn't happen on most
systems, so it could be a server bug for this video card. The panel segfaults
sound odd though, so it could also be a GNOME install that just got screwed up

Is this an unmodified fresh install, or an upgrade? Are there any modifications
to the default installation?
Comment 3 zrlh 2000-11-07 00:27:20 EST
Yes this is an unmodified fresh install.  I've reformatted and installed 
several different times over the last few days to be sure something didn't just 
happen to go wrong on my first installation.  Same results after every 

During installation I select custom and then select "everything".  Perhaps I 
should try not selecting "everything" and performing a standard installation, 
don't know.......
Comment 4 Havoc Pennington 2000-11-07 09:29:14 EST
OK I'm going to assume it's an X bug for now, moving to XFree.
Comment 5 Mike A. Harris 2001-03-17 14:35:26 EST
Please upgrade to the latest version of XFree86-4.0.2a-1 in rawhide
and Mesa 3.4-12.  THe Rage mobility issues should all be resolved in the latest
rawhide builds.

Note You need to log in before you can comment on or make changes to this bug.